Imports System.Runtime.Serialization

Namespace Methods.IDB.GetFileObject
    <Serializable>
    <DataContract>
    Public Class GetFileObjectResponse
        Inherits Messages.BaseResponse

        <DataMember>
        Public Property FileObject As FileObject

        Public Sub New(pFileObject As FileObject)
            MyBase.New()
            FileObject = pFileObject
        End Sub

        Public Sub New(pException As Exception, Optional pDetails As String = "")
            MyBase.New(pException, pDetails)
        End Sub
    End Class
End Namespace
